DICTIONARY:
  DEF:EnabDisab
    VAL:Disabled,$20
    VAL:Enabled,$21
  DEF:BaudRates
    VAL:150,$20
    VAL:300,$21
    VAL:600,$22
    VAL:1200,$23
    VAL:2400,$24
    VAL:4800,$25
    VAL:9600,$26
    VAL:19200,$27
    VAL:38400,$28
    VAL:57600,$29
    VAL:115200,$2B
  DEF:Parities
    VAL:None,$20
    VAL:Odd,$21
    VAL:Even,$22
  DEF:DataBits
    VAL:7,$20
    VAL:8,$21
  DEF:StopBits
    VAL:1,$20
    VAL:2,$21
  DEF:GenericChr
    VAL:Disabled,$7F
    CHR:$00..$7E
  DEF:SmartGenericChr
    CHR:$00..$7E


STRUCTURE: C-BOX 3X0,CB3_001.CHM,Template file for C-BOX 3X0 models\Template file rel. 2.00
  PAGE:Host Interface
;*; HDR:I/O Exchange Area
;*;   ENTRY:Size Selection,$1B $4F $4B=Automatic,$21 #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
;*;     VAL:Manual,$20
;*;     VAL:Automatic,$21
;*;   ENTRY:Master Input Area Size,$1B $4F $42=32,$3E @Size Selection=Manual #500
;;;;; ENTRY:Master Input Area Size,$1B $4F $42=32,$3E #500

;*;     VAL:4,$22

;*;     VAL:8,$26



;*;     VAL:16,$2E







;*;     VAL:32,$3E
;*;   ENTRY:Master Output Area Size,$1B $4F $46=32,$3E @Size Selection=Manual #500
;;;;; ENTRY:Master Output Area Size,$1B $4F $46=32,$3E #500

;*;     VAL:4,$22

;*;     VAL:8,$26



;*;     VAL:16,$2E







;*;     VAL:32,$3E
    HDR:Address Selection
      ENTRY:Rotary Switch Reading,$1B, $4C, $5D=Enabled,$21 #510
        DEF:EnabDisab
      ENTRY:Node Address,$1B $4C $48=126,$7E @Rotary Switch Reading=Disabled #510
        NUM:0..126,$00,1
    HDR:Options
      ENTRY:Data Flow Control,$1B $4F $41=DPD Driver,$22 #520
        VAL:Disabled,$20
        VAL:DAD Driver,$21
        VAL:DPD Driver,$22
;;;   ENTRY:Data Consistency,$1B $4F $4A=Standard,$20 @Flow Control<>Disabled #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
;;;     VAL:Standard,$20
;;;     VAL:Enhanced,$21
      ENTRY:Terminators Cut Off,$1B $4F $43=Disabled,$20 #520
        DEF:EnabDisab
;;;   ENTRY:Initialization Mode,$1B $4F $49=Fieldbus Specific,$21 #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
;;;     VAL:Standard,$20
;;;     VAL:Fieldbus Specific,$21
;;;;; ENTRY:User Parameter Data,$1B $4F $4C=Handle,$21 @Initialization Mode<>Standard #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
;;;   ENTRY:User Parameter Data,$1B $4F $4C=Handle,$21 #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
;;;     VAL:Ignore,$20
;;;     VAL:Handle,$21
      ENTRY:Operating Mode,$1B $47 $41=Normal Mode,$20 #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
        VAL:Normal Mode,$20
        VAL:Test Mode,$23
    HDR:Advanced
      ENTRY:User Parameter Data,$1B $4F $4C=Handle,$21 #??? ;@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
        VAL:Ignore,$20
        VAL:Handle,$21
  PAGE:Scanner Interface
    HDR:Options
      ENTRY:Auto Connect,$1B $4F $45=Enabled,$21 #600
        DEF:EnabDisab
    HDR:Configuration
      ENTRY:Data Source,$1B $4F $44=Main Interface,$20 @Auto Connect<>Enabled #610
        VAL:Main Interface,$20
        VAL:Aux. Interface,$21
    HDR:Data Source Ifc.
      ENTRY:Baud Rate,$1B $4C $43=9600,$26 @Auto Connect<>Enabled #620
        DEF:BaudRates
      ENTRY:Parity,$1B $4C $44=None,$20 @Auto Connect<>Enabled #620
        DEF:Parities
      ENTRY:Data Bits,$1B $4C $45=8,$21 @Auto Connect<>Enabled #620
        DEF:DataBits
      ENTRY:Stop Bits,$1B $4C $46=1,$20 @Auto Connect<>Enabled #620
        DEF:StopBits
    HDR:Input Data Format
      ENTRY:Terminator 1,$1B $4B $47=CR,$0D @Auto Connect<>Enabled #630
        DEF:SmartGenericChr
      ENTRY:Terminator 2,$1B $4B $48=LF,$0A @Auto Connect<>Enabled #630
        DEF:GenericChr
      ENTRY:Terminator 3,$1B $4B $49=Disabled,$7F @Auto Connect<>Enabled #630
        DEF:GenericChr
      ENTRY:Terminator 4,$1B $4B $4A=Disabled,$7F @Auto Connect<>Enabled #630
        DEF:GenericChr
;   HDR:! Only For TSP !
;     ENTRY:Hidden GS,$1B $4F $48=Disabled,$20 @Auto Connect<>Enabled
;       DEF:EnabDisab
  PAGE:VisoSetup Interface
    HDR:Options
      ENTRY:Baud Rate,$1B $4C $4A=9600,$26 #700
        DEF:BaudRates
      ENTRY:Parity,$1B $4C $4B=None,$20 #700
        DEF:Parities
      ENTRY:Data Bits,$1B $4C $4C=8,$21 #700
        DEF:DataBits
      ENTRY:Stop Bits,$1B $4C $4D=1,$20 #700
        DEF:StopBits
  PAGE:Display
    HDR:For the C-BOX 310 model
    HDR:Options
      ENTRY:Echo On Display,$1B $4C $63=Enabled,$21 #800
        DEF:EnabDisab
      ENTRY:Backlight,$1B $4F $47=Enabled,$21 #800
        DEF:EnabDisab
